Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.examples
Class PicoIX.ActivityHandler

    java.lang.Object
      ix.examples.PicoIX.ActivityHandler

Direct Known Subclasses:
  PicoISim.SimEventHandler, PicoIXTest2.TestActivityHandler

Enclosing class:
  PicoIX

    abstract static class PicoIX.ActivityHandler

extends java.lang.Object

A class that provides some basic structure, and some support methods, for activity handlers. Activity handlers are created by instantiating a subclass.

Field Summary
`(package private) PicoIX.IX_System` | `system`
`(package private) java.lang.Object` | `verb`

Constructor Summary
`PicoIX.ActivityHandler(java.lang.Object verb)`

Method Summary
`(package private) java.lang.Object` | `addConstraint(PicoIX.Constraint c)`
`(package private) abstract void` | `handleActivity(PicoIX.Activity i)`
`(package private) void` | `postActivity(PicoIX.Activity i)`
`(package private) void` | `setSystem(PicoIX.IX_System system)`
`(package private) java.lang.Object` | `tryConstraint(PicoIX.Constraint c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### verb

    java.lang.Object verb

### system

    PicoIX.IX_System system

Constructor Detail

### PicoIX.ActivityHandler

    PicoIX.ActivityHandler(java.lang.Object verb)

Method Detail

### setSystem

    void setSystem(PicoIX.IX_System system)

### handleActivity

    abstract void handleActivity(PicoIX.Activity i)

### postActivity

    void postActivity(PicoIX.Activity i)

### addConstraint

    java.lang.Object addConstraint(PicoIX.Constraint c)

### tryConstraint

    java.lang.Object tryConstraint(PicoIX.Constraint c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD